Snapvisor Docs

List the reviews submitted on a build

List the reviews submitted on a build, with pagination.

GET
/projects/{owner}/{project}/builds/{buildNumber}/reviews

List the reviews submitted on a build, with pagination.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
buildNumber*string

The build number

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/projects/string/string/builds/string/reviews"
[  {    "id": "string",    "buildId": "string",    "state": "approved",    "user": {      "id": "string",      "slug": "string",      "name": "string"    },    "dismissedAt": "string",    "dismissedBy": {      "id": "string",      "slug": "string",      "name": "string"    },    "date": "string"  }]